datacache <- new.env(hash=TRUE, parent=emptyenv())

hu6800 <- function() showQCData("hu6800", datacache)
hu6800_dbconn <- function() dbconn(datacache)
hu6800_dbfile <- function() dbfile(datacache)
hu6800_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hu6800_dbInfo <- function() dbInfo(datacache)

hu6800ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hu6800.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hu6800", "chip hu6800", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hu6800_dbconn())
}

